<%--
 Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
--%>

<!-- 
   Copyright  2003 Sun Microsystems, Inc. All rights reserved.
-->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:setBundle basename="LocalStrings"/>

<fmt:message var="msg" key="log_is_executing" />
<jsp:useBean id="msg" class="java.lang.String" />

<fmt:message var="ellipse" key="ellipse" />
<jsp:useBean id="ellipse" class="java.lang.String" />

<fmt:message var="timestamp_str" key="timestamp" />
<jsp:useBean id="timestamp_str" class="java.lang.String" />

<fmt:message var="name_str" key="name" />
<jsp:useBean id="name_str" class="java.lang.String" />

<fmt:message var="message_str" key="message" />
<jsp:useBean id="message_str" class="java.lang.String" />

<fmt:message var="exception_thrown" key="exception_thrown" />
<jsp:useBean id="exception_thrown" class="java.lang.String" />

<fmt:message var="records_listed" key="records_listed" />
<jsp:useBean id="records_listed" class="java.lang.String" />

<fmt:message var="results_null" key="results_null" />
<jsp:useBean id="results_null" class="java.lang.String" />

<%
  System.out.println( msg + ellipse ); 
  String nameString = request.getParameter("name");
  String messageString = (String) request.getAttribute("message");  
  String hostString = request.getServerName()+":"+request.getServerPort();  
%>
<HTML> 
  <HEAD><TITLE><fmt:message key="jdbc_simple_demo_title"/></TITLE></HEAD> 
  <BODY BGCOLOR=#FFFFFF> 
    <CENTER>
    <H2><fmt:message key="jdbc_simple_log"/> </H2> 
    <HR>
    <%
      int count = 0;
      java.sql.ResultSet rs = (java.sql.ResultSet) request.getAttribute("dbResults");
      try {  
	  if (rs == null) {          
          out.println("<TR>"+results_null+"</TR>");
        }
        else {
          out.println("<TABLE BORDER CELLSPACING=3>");
          out.println("<TR>");
          out.println("<TH>"+timestamp_str+"</TH>");
          out.println("<TH>"+name_str+"</TH>");
          out.println("<TH>"+message_str+"</TH>");
          out.println("</TR>");
	    while (rs.next()) {
	      String timeStamp = rs.getString("timeStamp");
            String name = rs.getString("name");
            String message = rs.getString("message");
            out.println("<TR>");
            out.println("<TD>" + timeStamp + "</TD>");
            out.println("<TD>" + name + "</TD>");
            out.println("<TD>" + message + "</TD>");
            out.println("</TR>");
            count++;
          }
        out.println("</TABLE>");
        }
      }
      catch (Exception ex) {
        out.println("<TR>"+exception_thrown+"</TR>");
      }
      //rs.close(); 
      out.println(count + " "+ records_listed + "<BR>" + "<HR>");
    %> 
    <fmt:message key="enter_another_greeting"/>&nbsp<a href="index.html"><fmt:message key="here"/></a>.
    </CENTER>
  </BODY> 
</HTML> 
<fmt:message var="end_msg" key="log_all_done" />
<jsp:useBean id="end_msg" class="java.lang.String" />

<%
 System.out.println(end_msg); 
%>

